Subject: bug#76322: Make ctags a thin wrapper around etags

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Mar 2025 16:14:13 -0400

Eli Zaretskii <[email-masked]> writes:

>> More radically, Emacs could also stop installing etags, and advise
>> people to run ctags -e instead, where this is the other ctags.
>
> To this I object, since the master source of the format of the TAGS
> files must be in Emacs, and what better to document this format than
> to maintain and distribute etags the program.

As a counter-point, we distribute parsers for quite a few formats where
the master source of the format is not in emacs.git.  They don't usually
have the same legacy as ctags, admittedly.

How about adding a --without-ctags flag, for those of us that never have
a need for it?